#!/bin/sh

DFINDER_DIR=$1
TMP=$2
METHOD=$3
BENCHTOOLS_INSTANCE=$4

pushd .


suffix="${METHOD}"
filename="${BENCHTOOLS_INSTANCE##*/}"
uniquename="${suffix}_${filename}"
dirfolder="${TMP}/${uniquename}"
script="${TMP}/dfinder.${uniquename}.config"

if [ -d "${dirfolder}" ]; then
    rm -rf 
fi

cat > ${script} <<EOF 
output=${dirfolder}
Yices=${DFINDER_DIR}/bin/yices_linux
examples=${DFINDER_DIR}/examples/
abstactionIterations=10
Omega=${DFINDER_DIR}/bin/oc_linux
abstractiontype=automata
makedot=false
bdd.initialnodenum=10000000
bdd.cachesize=2000000
bdd.maxincrease=1000000
limit=5

EOF

cd ${DFINDER_DIR}

exec time -p ./dfinder -c ${script} -f $BENCHTOOLS_INSTANCE -method=${METHOD}
res=$?

popd

rm -rf ${dirfolder}

exit $res


